Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.ftp
Class FtpFileSystem

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractFileSystem
              org.apache.commons.vfs.provider.ftp.FtpFileSystem

All Implemented Interfaces:
  FileSystem, VfsComponent

public class FtpFileSystem
extends AbstractFileSystem

An FTP file system.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Constructor Summary
`protected` | `FtpFileSystem(GenericFileName rootName, FtpClient ftpClient, FileSystemOptions fileSystemOptions)`

Method Summary
`protected void` | `addCapabilities(Collection caps)` Adds the capabilities of this file system.
`protected FileObject` | `createFile(FileName name)` Creates a file object.
`protected void` | `doCloseCommunicationLink()` Close the underlaying link used to access the files
`FtpClient` | `getClient()` Creates an FTP client to use.
`void` | `putClient(FtpClient client)` Returns an FTP client after use.

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileSystem
`addJunction, addListener, close, closeCommunicationLink, decorateFileObject, doReplicateFile, fireFileChanged, fireFileCreated, fireFileDeleted, getAttribute, getFileFromCache, getFileSystemManager, getFileSystemOptions, getLastModTimeAccuracy, getParentLayer, getRoot, getRootName, hasCapability, init, isOpen, isReleaseable, notifyAllStreamsClosed, putFileToCache, removeFileFromCache, removeJunction, removeListener, replicateFile, resolveFile, resolveFile, setAttribute`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FtpFileSystem

    protected FtpFileSystem(GenericFileName rootName,
                            FtpClient ftpClient,
                            FileSystemOptions fileSystemOptions)

Method Detail

### doCloseCommunicationLink

    protected void doCloseCommunicationLink()

  Description copied from class: `AbstractFileSystem`
  Close the underlaying link used to access the files

  Overrides:
    `doCloseCommunicationLink` in class `AbstractFileSystem`

### addCapabilities

    protected void addCapabilities(Collection caps)

  Adds the capabilities of this file system.

  Specified by:
    `addCapabilities` in class `AbstractFileSystem`

### getClient

    public FtpClient getClient()
                        throws FileSystemException

  Creates an FTP client to use.

  Throws:
    `FileSystemException`

### putClient

    public void putClient(FtpClient client)

  Returns an FTP client after use.

### createFile

    protected FileObject createFile(FileName name)
                             throws FileSystemException

  Creates a file object.

  Specified by:
    `createFile` in class `AbstractFileSystem`
  Throws:
    `FileSystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.